﻿@model LoyaltyPointEngine.Data.CodeGimmick
@{
    ViewBag.Title = "Index";
}
<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Code Gimmick</h3>
    </div>


</div>
<!-- /Page Header -->


<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-6 pull-right">
        <div class="widget box">
            <div class="widget-content">
                <form action="@( ViewBag.Action != null ? ViewBag.Action : Url.Action(MVC.Codegimmick.Add()) )" method="post" class="form-horizontal row-border">
                    @Html.AntiForgeryToken()
                    <div class="form-horizontal row-border">
                        <div class="form-group">
                            <label class="col-md-3 control-label">Code Gimmick  </label>
                            <div class="col-md-6">
                                <input type="text" class="form-control" name="Name" value="@(ViewBag.CodeName != null ? ViewBag.CodeName : null )" required />
                            </div>
                        </div>
                    </div>
                    <div class="form-actions">
                        <button type="submit" class="btn btn-primary pull-right">submit</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>


<div class="row">
    <div class="col-md-12">
        <div class="widget">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i>Code Gimmick</h4>
            </div>
            <div class="right-title">
                @using (Html.BeginForm(null, null, null, FormMethod.Post, new { id = "gridSeachCode", LoginLog = "form" }))
                {
                    <input type="text" id="txtSearch" name="txtSearch" class="form-control box-search" placeholder="Search for...">
                    <button class="hidden" type="submit"></button>
                }

            </div>
            <div class="widget-content">
                @Html.Action("GridGetAllCode")
            </div>
            <!-- .box-content -->

        </div>
        <!-- .box -->

    </div>
</div>



@section FooterScript{
    <script>
        (function () {
            var gridName = 'AllCode';
            var pagingUrl = '@Url.Action(MVC.Codegimmick.GridGetAllCodePager())';

            $('.grid-mvc').gridmvc();
            pageGrids[gridName].ajaxify({
                getData: pagingUrl,
                getPagedData: pagingUrl,
                gridFilterForm: $('#gridSeachLoginLog'),
                onAjaxComplete: function (status, response) {
                    if (status === 'success' && response.hasItems) {
                        var nextTotalRow = $.each($(response.Html), function (idx, item) {
                            if (item.id === 'totalRows') {
                                $('#totalRows').text(item.innerText);
                            }
                        })
                    }
                    else {
                        var nextTotalRow = $.each($(response.Html), function (idx, item) {
                            if (item.id === 'totalRows') {
                                $('#totalRows').text('no items to display');
                            }
                        })
                    }
                }
            });

            $('#search-button-log').click(function () {
                // alert('aaa')
                var user = $('#UserName').val();
                var awal = $('#tglAwal').val();
                var akhir = $('#tglAkhir').val();

                $('#hiddenUsername').val(user);
                $('#hiddenAwal').val(awal);
                $('#hiddenAkhir').val(akhir);
                $('#hidden-search-log').click();


            });

        }())


    </script>
}